#ifndef _DUMP_H
#define _DUMP_H

class Dump 	{
public:
	long size;
   char* data;

	Dump()	{	size = 0;	data = 0; }
	Dump(long _size, char* _data = 0)	{	data = 0; create(_size,_data);	}
   Dump(const Dump& dump)	{	size = 0; data = 0; create(dump.size,dump.data);	}
	~Dump() {	destroy();	}

	Dump& Dump::operator<<(const Dump& d);
	Dump& Dump::operator>>(Dump& d);

	Dump& operator=(const Dump& dump)	{
   	create(dump.size,dump.data);
      return *this;
      }

   void create(long _size, char* _data = 0);
   void destroy()	{
   	if (data)
      	delete data;
		data = 0;
      size = 0;
		}

	friend int operator==(const Dump& d1, const Dump& d2);
	friend int operator!=(const Dump& d1, const Dump& d2)
		{	return !(d1 == d2);	}
	};

#endif

