#ifndef _QUERYF_H
#define _QUERYF_H

#include "codepg.h"
#include "date.h"

extern Bool DateIsNull(const Date& date);

//	Format type specifiers declaration :
static const short Ft_Binary_	= CC2('B',' ');
static const short Ft_FString_	= CC2('S',' ');
static const short Ft_char_ 	= CC2('s',' ');
static const short Ft_hEnum		= CC2('h','e');
static const short Ft_Enum		= CC2('e',' ');
static const short Ft_lEnum		= CC2('l','e');
static const short Ft_hEnum_	= CC2('h','E');
static const short Ft_Enum_		= CC2('E',' ');
static const short Ft_lEnum_	= CC2('l','E');

static const short Ft_short		= CC2('h','d');
static const short Ft_short_	= CC2('h','D');
static const short Ft_long		= CC2('l','d');
static const short Ft_long_		= CC2('l','D');
static const short Ft_float		= CC2('f',' ');
static const short Ft_float_	= CC2('F',' ');
static const short Ft_double	= CC2('l','f');
static const short Ft_double_	= CC2('l','F');

static const short Ft_Date_		= CC2('D',' ');
static const short Ft_Quad_		= CC2('Q',' ');

static const short Ft_bool		= CC2('i',' ');
static const short Ft_bool_		= CC2('I',' ');

static const short Ft_dump_		= CC2('U',' ');
static const short Ft_quark_ 	= CC2('R',' ');
static const short Ft_membuf_ 	= CC2('M',' ');

static const short Ft_Stop		= 0;
static const short Ft_Undefine = -1;
#endif
